Bug 7281 - Hide some lists (virtual shelves) from OPAC
Summary: Hide some lists (virtual shelves) from OPAC
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-01 14:16 UTC by Marcel de Rooy
Modified: 2012-10-26 00:41 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2011-12-01 14:16:43 UTC
For use in our library, it would be useful if we could hide a specific public (or open) list from the opac.
This makes it possible to share a list between users of the staff client only.

For that use I added a field hidefromopac in the shelves table. And modified a few functions in VirtualShelves.pm and calls to these functions in catalogue/search.pl, virtualshelves/addbybiblionumber.pl and C4/Auth.pm.

Patch is forthcoming.
Comment 1 Marcel de Rooy 2011-12-05 10:49:17 UTC
See bug 7310. If we use the concept of shared lists, this report may not be needed after all.
Comment 2 Marcel de Rooy 2011-12-08 12:21:43 UTC
Closing this report. Patches for bug 7310 will resolve this too.